| Home | Libraries | People | FAQ | More

##### pipeline_request::add_set_character_set

Adds a set character set stage.

###### Synopsis

    pipeline_request&
    add_set_character_set(
        character_set charset);

###### Description

Creates a stage that sets the connection's character set. The resulting stage has effects equivalent to `conn.set_character_set(charset)`.

###### Exception safety

Strong guarantee. Throws if the supplied character set name is not valid (i.e. `charset.name` contains non-ASCII characters). The check is performed as a hardening measure, and never happens with the character sets provided by this library.

Additionally, memory allocations may throw.

###### Exceptions

Type | Thrown On
--- | ---
`std::invalid_argument` | If `charset.name` contains non-ASCII characters.

###### Preconditions

The passed character set should not be default-constructed (`charset.name != nullptr`).